Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FireFox Issue: Some code of a Polymer.dart application doesn't work in FireFox (but works in other browsers!). #20141

Closed
DartBot opened this issue Jul 22, 2014 · 15 comments
Assignees
Labels

Comments

@DartBot
Copy link

@DartBot DartBot commented Jul 22, 2014

This issue was originally filed by Roman.Korneyev@gmail.com


Attached code of a simple Polymer.dart application (please see cc.zip) doesn't work in FireFox. This code works in Chrome, Dartium, the latest Opera, IE11 and IE10. The code uses the Model.js library included in bootstrap-js (please see http://getbootstrap.com/javascript/#modals).
This bug is blocking the moving of the application to production. Please take a look at this code and fix it or give me some recomendation to workaround this issue.

polymer.dart 0.11.0+5
Dart Editor version 1.6.0.dev_03_00 (DEV)
Dart SDK version 1.6.0-dev.3.0
FireFox 30.0


Attachment:
cc.zip (198.16 KB)

@DartBot
Copy link
Author

@DartBot DartBot commented Jul 22, 2014

This comment was originally written by Roman.Korneyev@gmail.com


source code


Attachment:
cc.zip (198.20 KB)

@DartBot
Copy link
Author

@DartBot DartBot commented Jul 22, 2014

This comment was originally written by @zoechi


I think this is related to https://github.com/Polymer/platform-dev/issues/32
(https://github.com/Polymer/ShadowDOM/issues/328 is similar but seems to be another problem)

@DartBot
Copy link
Author

@DartBot DartBot commented Jul 22, 2014

This comment was originally written by @zoechi


Ctrl+Shift+j showed the error:
TypeError: Argument 1 of Window.getDefaultComputedStyle does not implement interface Element.
after loading the entry page of your example.

@DartBot
Copy link
Author

@DartBot DartBot commented Jul 22, 2014

This comment was originally written by Roman.Korneyev@gmail.com


Note that the attached sample works fine if cc.html page don't use polymer.dart and dependency (dart.js, platform.js, dart_support.js)..

@sethladd
Copy link
Member

@sethladd sethladd commented Jul 22, 2014

Added Pkg-Polymer, Area-Pkg, Triaged labels.

@sigmundch
Copy link
Member

@sigmundch sigmundch commented Jul 28, 2014

@DartBot
Copy link
Author

@DartBot DartBot commented Aug 28, 2014

This comment was originally written by Roman.Korneyev@gmail.com


Still doesn't work in Polymer 0.13.0 yet..

@DartBot
Copy link
Author

@DartBot DartBot commented Aug 28, 2014

This comment was originally written by Roman.Korneyev@gmail.com


please see https://code.google.com/p/dart/issues/detail?id=20725

@jakemac53
Copy link
Contributor

@jakemac53 jakemac53 commented Aug 28, 2014

Ok, I spent some time on this and discovered the actual bug. Pull request out to googlearchive/ShadowDOM#500.

I am going to work on patching this as well and releasing it as a +1 so that you can get unblocked without having to wait on the next migration.


Set owner to @jakemac53.
Added Started label.

@jakemac53
Copy link
Contributor

@jakemac53 jakemac53 commented Aug 28, 2014

Issue #20725 has been merged into this issue.

@jakemac53
Copy link
Contributor

@jakemac53 jakemac53 commented Aug 28, 2014

Change cherrypicked in r39678, assuming the bots stay green I will publish this later today or tomorrow morning


Added Fixed label.

@jakemac53
Copy link
Contributor

@jakemac53 jakemac53 commented Aug 28, 2014

published as 0.6.0+1, run pub upgrade and you should be ready to go

@DartBot
Copy link
Author

@DartBot DartBot commented Aug 29, 2014

This comment was originally written by Roman.Korneyev@gmail.com


Thanks! it works!

@jakemac53
Copy link
Contributor

@jakemac53 jakemac53 commented Aug 29, 2014

Yay! Sorry this one blocked you for so long, feel free to put friendly pings on these issues if it seems like its falling through the cracks. Also, its usually possible for us to cherrypick individual fixes if they are causing large headaches as opposed to waiting for the next major version so feel free to request that as needed in the future, and we will do our best to help out.

@DartBot
Copy link
Author

@DartBot DartBot commented Jun 5, 2015

This issue has been moved to dart-archive/polymer-dart#245.

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
4 participants
You can’t perform that action at this time.